package com.huimv.wine.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.wine.entity.Worker;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.wine.entity.vo.WorkerQueryResult;

/**
 * <p>
 * 上酒工 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-04-18
 */
public interface WorkerMapper extends BaseMapper<Worker> {

    Worker login(String account, String realPassword);

    Page<WorkerQueryResult> ChangesQueryForWorker(Page<WorkerQueryResult> page, int status,String like ,String worker);
}
